﻿@model ToitKoju.Recipy

@{
    ViewBag.Title = "Details";
}

<h2>@Html.DisplayFor(model => model.RecipeName)</h2>


@* Pildi kuva proov *@
    <div class="row">
        @* Pilt *@
        <div class="col-xs-6 col-sm-4">
            <img src='@Url.Action( "RecipyImage", "Recipies", new { id = Model.RecipeID } )' width="200" height="200">
        </div>
        @* Kogus *@
        <div class="col-xs-6 col-sm-2">
            <h4>@Html.DisplayNameFor(model => model.TargetAmount)</h4>
            <select class="form-control">
                <option>
                    @Html.DisplayFor(model => model.TargetAmount)
                </option>
                <option>
                    2
                </option>
                <option>
                    3
                </option>
                <option>
                    4
                </option>
                <option>
                    5
                </option>
                <option>
                    6
                </option>
            </select>

        @* Lisa ostukorvi *@
        <a href="#" class="btn btn-success btn-lg">
            <div class="glyphicon glyphicon-shopping-cart"></div> Lisa ostukorvi
        </a>
    </div>

    @* Koostisosade namespace *@
    <div class="col-xs-6 col-sm-2">
        <p class="text-right">@Html.DisplayNameFor(model => model.IngredientName)</p>

    </div>
    <!-- Optional: clear the XS cols if their content doesn't match in height -->
    <div class="clearfix visible-xs-block"></div>
    @* Retsepti koostise kuva. *@
    <div class="col-xs-6 col-sm-4">
        <div class="row">
            <div class="col-xs-6 col-sm-4">
                @foreach (var koostis in ViewBag.Koostisosad)
                {<p>@koostis.Value</p>}
            </div>

            <div class="col-xs-6 col-sm-4">
                @foreach (var kogus in ViewBag.Kogus)
                {<p id="kogus">@kogus.Value</p>}
            </div>
            <!-- Optional: clear the XS cols if their content doesn't match in height -->
            <div class="clearfix visible-xs-block"></div>
            <div class="col-xs-6 col-sm-4">
                @foreach (var yhik in ViewBag.Yhik)
                {<p>@yhik.Value</p>}
            </div>
        </div>
        ruut2/2
    </div>
</div>
<div class="row">
    <div class="col-xs-6 col-sm-4">
        <h4>@Html.DisplayNameFor(model => model.Instructions)</h4>
    </div>
    <div class="col-xs-6 col-sm-4">
        @Html.DropDownList("Inimesi", new SelectListItem[]
            {new SelectListItem() {Text = "1", Value = "1"},
   new SelectListItem() {Text = "2", Value= "2"}},
            new { @onchange = "FunkArvuta(this.value)" })
    </div>
    <!-- Optional: clear the XS cols if their content doesn't match in height -->
    <div class="clearfix visible-xs-block"></div>
    <div class="col-xs-6 col-sm-4" id="väärtus">
        ruut4
    </div>
</div>
<div class="row">
    <div class="col-xs-6 col-sm-4">
        @Html.DisplayFor(model => model.Instructions)
    </div>
    <div class="col-xs-6 col-sm-4" >
        600
    </div>
    <!-- Optional: clear the XS cols if their content doesn't match in height -->
    <div class="clearfix visible-xs-block"></div>
    <div class="col-xs-6 col-sm-4">
        ruut6
    </div>
</div>


@* Allolev on originaal *@
<td></td>

<div class="row">
    <h4></h4>
    <div class="col-sm-6 col-md-6">

        <div>

            <hr />
            <table style="border:dashed">
                <tr>
                    <td>
                        @Html.DisplayNameFor(model => model.RecipeName)
                    </td>
                    <td>
                        @Html.DisplayFor(model => model.RecipeName)
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DisplayNameFor(model => model.Picture)
                    </td>
                    <td>
                        <img src='@Url.Action( "RecipyImage", "Recipies", new { id = Model.RecipeID } )' height="80" />
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DisplayNameFor(model => model.TargetAmount)
                    </td>
                    <td>
                        @Html.DisplayFor(model => model.TargetAmount)
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DisplayNameFor(model => model.Instructions)
                    </td>
                    <td>
                        @Html.DisplayFor(model => model.Instructions)
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DisplayNameFor(model => model.IngredientName)
                    </td>
                    <td style="border:dashed">
                        @foreach (var koostis in ViewBag.Koostisosad)
                        {
                            <p>@koostis.Value</p>
                        }
                    </td>
                    <td style="border:dashed" >
                        @foreach (var kogus in ViewBag.Kogus)
                        {
                            <p id="kogus">@kogus.Value</p>
                        }
                    </td>
                    <td style="border:dashed">
                        @foreach (var yhik in ViewBag.Yhik)
                        {
                            <p>@yhik.Value</p>
                        }
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DisplayNameFor(model => model.Category.CategoryName)
                    </td>
                    <td>
                        @Html.DisplayFor(model => model.Category.CategoryName)

                    </td>
            </table>
        </div>
    </div>

    <div class="col-sm-3 col-md-3 pull-right">

        <div>
            <h4>Koostisosad</h4>
            <p>
                @Html.DropDownList("Koostisosad", null, htmlAttributes: new { @class = "form-control", onchange = "Otsi()", id = "dropdown" })
            </p>
            <table>
                <tr>
                    <td>Koostisosa:</td>
                    <td id="koostisosa" class="form-control"></td>
                </tr>
                <tr>
                    <td>Ühik:</td>
                    <td id="yhik" class="form-control"></td>
                </tr>
            </table>
            <p>Silumisinfo:</p><p id="demo" class="text-danger"></p>

        </div>
    </div>
</div>

@*<div>
        <h4>Recipy</h4>
        <hr />
        <dl class="dl-horizontal">
            <dt>
                @Html.DisplayNameFor(model => model.RecipeName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.RecipeName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Picture)
                Pilt
            </dt>

            <dd>
                <img src='@Url.Action( "RecipyImage", "Recipies", new { id = Model.RecipeID } )' height="80" />
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.TargetAmount)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.TargetAmount)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Instructions)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Instructions)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Category.CategoryName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Category.CategoryName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.User.UserName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.User.UserName)
            </dd>

        </dl>
    </div>*@
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.RecipeID }) |
    @Html.ActionLink("Back to List", "Index")
</p>

@*<div>
        <h4>katsume uniti ühiku skriptiga leida</h4>
        <p>
            @Html.DropDownList("Koostisosad", null, htmlAttributes: new { @class = "form-control", onchange = "Otsi()", id = "dropdown" })
        </p>
        <table>
            <tr>
                <td>Koostisosa:</td>
                <td id="koostisosa" class="form-control"></td>
            </tr>
            <tr>
                <td>Ühik:</td>
                <td id="yhik" class="form-control"></td>
            </tr>
        </table>
        <p>Silumisinfo:</p><p id="demo" class="text-danger"></p>

    </div>*@

<script>
    function Otsi() {
        //alert("no ma siis teen");
        $("#demo").text("alustame" + $("#dropdown").val());
        $.ajax({
            url: "/api/ingredients1/" + $("#dropdown").val(),
            success: function (result) {
                $("#koostisosa").text(result.IngredientName);

                $("#yhik").text(result.Unit);
            },
            error: function (result) { $("$demo").text("error:" + result); $("$demo").show() }
        });
    }

</script>
<script>
    function FunkArvuta(val) {
        var kogus = parseInt(document.getElementById("kogus").innerHTML);
        document.getElementById("väärtus").innerHTML = kogus * val;
    }
</script>
